#include "drwebdc-demo.h"

/*--------------------------------------------------------------------------
 Dr. Web daemon client demo (show daemon version)
                                       ID Antivirus Lab http://www.drweb.ru  
                                        http://www.drweb.ru/linux-bsd/forum
                                              http://www.drweb.ru/linux-bsd
--------------------------------------------------------------------------*/
static int
showVersion( void )
{
   if( createSocket() < 0 )
   {
       return DRWEBD_SOCKET_ERR;
   }

   if( writeInt( DRWEBD_VERSION_CMD ) )
   {
       int ver = 0;
       if( !readOutput( sizeof(ver), &ver ) )
       {
           printf( "\nDr. Web daemon version: %d.%d", ntohl(ver) / 100, ntohl(ver) % 100 );
       }
   }

   return 0;
}
//--------------------------------------------------------------------------
int
main( int argc, char ** argv )
{
   int retcode = 0;

   retcode = showVersion();

   cleanup();

   return retcode;
}

//--------------------------------------------------------------------------

