#!/bin/sh
#
# Example of command line for Dr.Web Sendmail Mail Filter (drweb-smf)
#    Dr.Web Sendmail Mail Filter (drweb-smf)
#

./drweb-smf -p 3000 -i localhost -s 3001 -a /opt/drweb/infected -l -f /tmp -h -e postmaster@my.domain.ru -g postmaster -o drweb -x -r -w &

# -p 3000
#         - DrWeb daemon (drwebd) listen on 3000 tcp port
#         - DrWeb  (drwebd)   3000 tcp 
# -i localhost
#         - INET-address of host where sendmail was started
#         - INET- ,    sendmail
# -s 3001
#         - tcp port that specified in sendmail.cf as part of value INPUT_MAIL_FILTER
#         - tcp ,    INPUT_MAIL_FILTER  sendmail.cf
# -a /opt/drweb/infected
#         - directory for infected e-mail messages
#         - ,    
# -l
#         - this option means that daemon runs in local host; for it daemon
#           must have read access to directory specified by -f option
#         -   ,     
#               (  ),  
#           ,   -f,      
# -f /tmp
#         - directory for temporary files
#         -     
# -h
#         - use heuristic analyse
#         -   
# -e postmaster@my.domain.ru
#         - e-mail that will be placed in report messages
#         - e-mail ,     
# -g postmaster
#         - real address (may be local) for report messages
#         -   (  )  
# -o drweb
#         - username to which filter switchs after start
#         - username     
# -x
#         - report message will be returned to sender too
#         - ,       
# -r
#         - report message will include DrWeb diagnostic
#         - ,        
# -w
#         - run in debug mode (output debug messages in syslog)
#         -     (   syslog)
