#include "drwebdc-demo.h"

/*--------------------------------------------------------------------------
 Dr. Web daemon client demo (show daemon ID string)
                                       ID Antivirus Lab http://www.drweb.ru  
                                        http://www.drweb.ru/linux-bsd/forum
                                              http://www.drweb.ru/linux-bsd
--------------------------------------------------------------------------*/
static int
showID( void )
{
   if( createSocket() < 0 )
   {
       return DRWEBD_SOCKET_ERR;
   }

   if( writeInt( DRWEBD_IDSTRING_CMD ) )
   {
       int sz = 0;
       if( !readOutput( sizeof(sz), &sz ) )
       {
           char buf[ 1024 ];
	   sz = ntohl( sz );
           if( !readOutput( sz > sizeof(buf) ? sizeof(buf) : sz, buf ) )
           {
                printf( "%s", buf );
           }
       }
   }

   return 0;
}

//--------------------------------------------------------------------------
int
main( int argc, char ** argv )
{
   int retcode = 0;

   retcode = showID();

   cleanup();

   return retcode;
}

//--------------------------------------------------------------------------

