#ifndef _DWC_ERR_H
#define _DWC_ERR_H

/* Internal error codes -- DWC_error_code_t */
#define DWC_NOERROR         (0)    /* no error */
#define DWC_COMMONERROR     (-1)   /* system error or more that one error */
#define DWC_NOMEMORY        (-2)   /* no memory for operation */
#define DWC_BADIPC          (-4)   /* invalid IPC descriptor */
#define DWC_NOTSUPPORTED    (-5)   /* this service not supported */
#define DWC_BADPARAMS       (-6)   /* bad parameters passed */
#define DWC_INVALIDADDR     (-7)   /* invalid transport address for IPC */
#define DWC_ALREADYPERFORM  (-8)   /* operation cannot performed twice */
#define DWC_NOTREADY        (-9)   /* service not ready */
#define DWC_NORESOURCE      (-10)  /* no resources */
#define DWC_IPCSYSTEM       (-11)  /* error in transport subsystem */
#define DWC_TOOLONG         (-12)  /* string too long or value too big */
#define DWC_TIMED           (-13)  /* operation timeouted */

#endif /* _DWC_ERR_H */
