#!/usr/bin/perl

# Settings
my $DRWEB_DIR="/opt/drweb";
my $PORT='3000';
my $SERVER='localhost';

my $OK = 0;
my $VIRUS_FOUND = 1;
my $TEMP_FAIL = 2;
my $DD = "";

# Call DrWeb Daemon Client
my $exit_code = $OK;
my $scandir = shift(@ARGV);
if( DrWebScanDir( "$scandir" ) == 1 ) 
{
    $exit_code = $TEMP_FAIL;
}
exit( $exit_code );

sub DrWebScanDir
 {
  # Traverse directory for scan
  my $drweb_status;
  my $dir = $_[0];
  opendir( D, $_[0] ) || return 1;
  my @d = readdir( D );
  closedir( D );

  foreach( @d )
  {
    if( $_ ne '.' && $_ ne '..' )
    {
      my $de = "$dir/$_";
      if( -d $de )
      {
        if( DrWebScanDir( $de ) == 1 ) 
	{
          return 1;
        }
      }
      else
      {
        $DD .= `$DRWEB_DIR/clients/drwebdc/drwebdc -p$PORT -i$SERVER -f$de -rv 2>&1`;
        $drweb_status=($? >> 8);
        if ( $drweb_status > 0 ) 
	{
          if ( $drweb_status & 0x70 ) 
	  {
            $exit_code = $VIRUS_FOUND;
          } 
	  else 
	  {
            $exit_code = $TEMP_FAIL;
          }
        } 
	else 
	{
          $exit_code = $OK;
        }
      }
    }
  }
  return 0;
}
